Bug 850222 - Introduce new systemd-rpm macros in mysql spec file
Introduce new systemd-rpm macros in mysql spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:51 EDT by Lukáš Nykrýn
Modified: 2012-11-27 02:15 EST (History)
2 users (show)

See Also:
Fixed In Version: mysql-5.5.28-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 02:15:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:51:51 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Tom Lane 2012-08-21 10:14:31 EDT
I'm disinclined to introduce differences in the spec files for the active Fedora branches for purely cosmetic reasons, and at the moment this seems purely cosmetic.

If these macros got back-ported into F17 and F16 so that the spec files could remain the same, I'd be considerably more willing to adopt them now.
Comment 2 Fedora Update System 2012-09-30 01:07:08 EDT
mysql-5.5.28-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mysql-5.5.28-1.fc17
Comment 3 Fedora Update System 2012-09-30 01:07:30 EDT
mysql-5.5.28-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mysql-5.5.28-1.fc16
Comment 4 Fedora Update System 2012-09-30 01:07:51 EDT
mysql-5.5.28-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mysql-5.5.28-1.fc18
Comment 5 Fedora Update System 2012-09-30 14:23:17 EDT
Package mysql-5.5.28-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mysql-5.5.28-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15119/mysql-5.5.28-1.fc18
then log in and leave karma (feedback).
Comment 6 Honza Horak 2012-11-27 02:15:05 EST
Bodhi hasn't close this bug, doing it manually.

Note You need to log in before you can comment on or make changes to this bug.